<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
   Copyright (C) 2003 Henning Mersch

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.
			      
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
-->
<!-- got required field info http://nwalsh.com/tex/texhelp/
NOT defined types of bibTex here:
booklet entry:       Required fields: title
                     Optional fields: author, howpublished, address, month, year, note, key 
conference entry:    Required fields: author, title, booktitle, year
				     Optional fields: editor, pages, organization, publisher, address, month, note, key 
inbook entry:        Required fields: author or editor, title, chapter and/or pages, publisher, year
                     Optional fields: volume, series, address, edition, month, note, key 
mastersthesis entry: Required fields: author, title, school, year
					 Optional fields: address, month, note, key 
-->

<!-- <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:bibtex=""> -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xt="http://www.jclark.com/xt"
				xmlns:bibtex="http://www.science.uva.nl/~zegerh/bibteXML/"
				version="1.0"
				extension-element-prefixes="xt">
<xsl:output method="html"/>
<xsl:template match="bibtex:file">
<html>
<head>
  <title>Henning Mersch - Publications</title>
  <meta name="Author" content="Henning Mersch"/>
  <meta name="GENERATOR" content="bx_xml2html"/>
</head>
<body background="background.jpg">
  <address><a href="http://www.henning-mersch.de/">Henning Mersch</a></address>
  <hr/>
  <br/>
  <br/>
  <h1><font color="blue">Publications</font></h1>
  <br/>
  <xsl:for-each select="bibtex:entry">
  <xsl:sort order="descending" select="*/bibtex:year"/>
  <xsl:sort select="*/bibtex:author"/>
    <xsl:variable name="lastYear" select="*/bibtex:year"/>
    <xsl:if test="not(preceding-sibling::bibtex:entry/*[bibtex:year=$lastYear])">
	  <h2><xsl:value-of select="$lastYear"/></h2>
  <ul>
      <xsl:for-each select="../bibtex:entry/*[bibtex:year=$lastYear]">
        <xsl:apply-templates select=".."/>
      </xsl:for-each>
  </ul>
	</xsl:if>
  </xsl:for-each>
  </body>
</html>
</xsl:template>

<xsl:template match="bibtex:inproceedings">
  <!-- Required fields: author, title, booktitle, year
       Optional fields: editor, pages, organization, publisher, address, month, note, key 
	   -->
  <li>
  <b><xsl:value-of select="bibtex:author"/></b>:
  <xsl:if test='bibtex:url!=""'><a><xsl:attribute name="href"><xsl:value-of select="bibtex:url"/></xsl:attribute><xsl:value-of select="bibtex:title"/></a></xsl:if>
  <xsl:if test='bibtex:url=""'><xsl:value-of select="bibtex:title"/></xsl:if>
  <xsl:if test='bibtex:pages!=""'>, Pages:</xsl:if><xsl:value-of select="bibtex:pages"/>
  <xsl:if test='bibtex:organisation!=""'>, </xsl:if> <xsl:value-of select="bibtex:organisation"/>
  <xsl:if test='bibtex:publisher!=""'> (</xsl:if> <i><xsl:value-of select="bibtex:publisher"/></i> <xsl:if test='bibtex:publisher!=""'>) </xsl:if>
  <xsl:if test='bibtex:year!=""'>, </xsl:if> <xsl:value-of select="bibtex:year"/>
  </li>
</xsl:template>

<xsl:template match="bibtex:proceedings">
  <!-- Required fields: title, year
       Optional fields: editor, publisher, organization, address, month, note, key 
	   -->
  <li>
  <b><xsl:value-of select="bibtex:editor"/></b>:
  <xsl:if test='bibtex:url!=""'><a><xsl:attribute name="href"><xsl:value-of select="bibtex:url"/></xsl:attribute><xsl:value-of select="bibtex:title"/></a></xsl:if>
  <xsl:if test='bibtex:url=""'><xsl:value-of select="bibtex:title"/></xsl:if>
  <xsl:if test='bibtex:organisation!=""'>, </xsl:if> <xsl:value-of select="bibtex:organisation"/>
  <xsl:if test='bibtex:publisher!=""'> (</xsl:if> <i><xsl:value-of select="bibtex:publisher"/></i> <xsl:if test='bibtex:publisher!=""'>) </xsl:if>
  <xsl:if test='bibtex:year!=""'>, </xsl:if> <xsl:value-of select="bibtex:year"/>
  </li>
</xsl:template>

<xsl:template match="bibtex:article">
  <!-- Required fields: author, title, journal, year
       Optional fields: volume, number, pages, month, note, key 
  -->
  <li>
  <b><xsl:value-of select="bibtex:author"/></b>:
  <xsl:if test='bibtex:url!=""'><a><xsl:attribute name="href"><xsl:value-of select="bibtex:url"/></xsl:attribute><xsl:value-of select="bibtex:title"/></a></xsl:if>
  <xsl:if test='bibtex:url=""'><xsl:value-of select="bibtex:title"/></xsl:if>
  <xsl:if test='bibtex:journal!=""'> in </xsl:if> <i><xsl:value-of select="bibtex:journal"/></i>
  <xsl:if test='bibtex:volume!=""'>, </xsl:if><xsl:value-of select="bibtex:volume"/>
  <xsl:if test='bibtex:number!=""'>(</xsl:if> <xsl:value-of select="bibtex:number"/><xsl:if test='bibtex:number!=""'>) </xsl:if>
  <xsl:if test='bibtex:pages!=""'>, Pages:</xsl:if><xsl:value-of select="bibtex:pages"/>
  <xsl:if test='bibtex:year!=""'>, </xsl:if> <xsl:value-of select="bibtex:year"/>
  </li>
 </xsl:template>

<xsl:template match="bibtex:books">
  <!-- Required fields: author or editor, title, publisher, year
       Optional fields: volume, series, address, edition, month, note, key 
	   -->
  <li>
  <b>
  <xsl:value-of select="bibtex:author"/>
  <xsl:if test='bibtex:author=""'><xsl:value-of select="bibtex:editor"/></xsl:if>
  </b>:
  <xsl:if test='bibtex:url!=""'><a><xsl:attribute name="href"><xsl:value-of select="bibtex:url"/></xsl:attribute><xsl:value-of select="bibtex:title"/></a></xsl:if>
  <xsl:if test='bibtex:url=""'><xsl:value-of select="bibtex:title"/></xsl:if>
  <xsl:if test='bibtex:publisher!=""'>, </xsl:if> <i><xsl:value-of select="bibtex:publisher"/></i>
  <xsl:if test='bibtex:year!=""'>, </xsl:if> <xsl:value-of select="bibtex:year"/>
  </li>
</xsl:template>

<xsl:template match="bibtex:techreport">
  <!-- Required fields: author, title, institution, year
       Optional fields: type, number, address, month, note, key 
       -->
  <li>
  <b><xsl:value-of select="bibtex:author"/></b>:
  <xsl:if test='bibtex:url!=""'><a><xsl:attribute name="href"><xsl:value-of select="bibtex:url"/></xsl:attribute><xsl:value-of select="bibtex:title"/></a></xsl:if>
  <xsl:if test='bibtex:url=""'><xsl:value-of select="bibtex:title"/></xsl:if>
  <xsl:if test='bibtex:institution!=""'>, </xsl:if> <i><xsl:value-of select="bibtex:institution"/></i>
  <xsl:if test='bibtex:type!=""'>, </xsl:if> <xsl:value-of select="bibtex:type"/>
  <xsl:if test='bibtex:number!=""'> No. </xsl:if> <xsl:value-of select="bibtex:number"/>
  <xsl:if test='bibtex:year!=""'>, </xsl:if> <xsl:value-of select="bibtex:year"/>
  </li>
</xsl:template>

<xsl:template match="bibtex:phdthesis">
  <!-- Required fields: author, title, school, year
       Optional fields: address, month, note, key 
       -->
  <li>
  <b><xsl:value-of select="bibtex:author"/></b>:
  <xsl:if test='bibtex:url!=""'><a><xsl:attribute name="href"><xsl:value-of select="bibtex:url"/></xsl:attribute><xsl:value-of select="bibtex:title"/></a></xsl:if>
  <xsl:if test='bibtex:url=""'><xsl:value-of select="bibtex:title"/></xsl:if>
  <xsl:if test='bibtex:school!=""'>, </xsl:if> <i><xsl:value-of select="bibtex:school"/></i>
  <xsl:if test='bibtex:year!=""'>, </xsl:if> <xsl:value-of select="bibtex:year"/>
  </li>
</xsl:template>

<xsl:template match="bibtex:mastersthesis">
  <!-- Required fields: author, title, school, year
       Optional fields: address, month, note, key 
       -->
  <li>
  <b><xsl:value-of select="bibtex:author"/></b>:
  <xsl:if test='bibtex:url!=""'><a><xsl:attribute name="href"><xsl:value-of select="bibtex:url"/></xsl:attribute><xsl:value-of select="bibtex:title"/></a></xsl:if>
  <xsl:if test='bibtex:url=""'><xsl:value-of select="bibtex:title"/></xsl:if>
  <xsl:if test='bibtex:school!=""'>, </xsl:if> <i><xsl:value-of select="bibtex:school"/></i>
  <xsl:if test='bibtex:year!=""'>, </xsl:if> <xsl:value-of select="bibtex:year"/>
  </li>
</xsl:template>

<xsl:template match="bibtex:manual">
  <!-- Required fields: title
       Optional fields: author, organization, address, edition, month, year, note, key 
       -->
  <li>
  <b><xsl:value-of select="bibtex:author"/></b>:
  <xsl:if test='bibtex:url!=""'><a><xsl:attribute name="href"><xsl:value-of select="bibtex:url"/></xsl:attribute><xsl:value-of select="bibtex:title"/></a></xsl:if>
  <xsl:if test='bibtex:url=""'><xsl:value-of select="bibtex:title"/></xsl:if>
  <xsl:if test='bibtex:organisation!=""'>, </xsl:if> <xsl:value-of select="bibtex:organisation"/>
  <xsl:if test='bibtex:year!=""'>, </xsl:if> <xsl:value-of select="bibtex:year"/>
  </li>
</xsl:template>

<xsl:template match="bibtex:incollection">
  <!-- Required fields: author, title, booktitle, year
       Optional fields: editor, pages, organization, publisher, address, month, note, key 
	   -->
  <li>
  <b><xsl:value-of select="bibtex:author"/></b>:
  <xsl:if test='bibtex:url!=""'><a><xsl:attribute name="href"><xsl:value-of select="bibtex:url"/></xsl:attribute><xsl:value-of select="bibtex:title"/></a></xsl:if>
  <xsl:if test='bibtex:url=""'><xsl:value-of select="bibtex:title"/></xsl:if>
  <xsl:if test='bibtex:booktitle!=""'>, </xsl:if> <i><xsl:value-of select="bibtex:booktitle"/></i>
  <xsl:if test='bibtex:pages!=""'>, Pages:</xsl:if><xsl:value-of select="bibtex:pages"/>
  <xsl:if test='bibtex:year!=""'>, </xsl:if> <xsl:value-of select="bibtex:year"/>
  </li>
</xsl:template>

<xsl:template match="bibtex:unpublished">
  <!-- Required fields: author, title, note
       Optional fields: month, year, key 
	   -->
  <li>
  <b><xsl:value-of select="bibtex:author"/></b>:
  <xsl:if test='bibtex:url!=""'><a><xsl:attribute name="href"><xsl:value-of select="bibtex:url"/></xsl:attribute><xsl:value-of select="bibtex:title"/></a></xsl:if>
  <xsl:if test='bibtex:url=""'><xsl:value-of select="bibtex:title"/></xsl:if>
  <xsl:if test='bibtex:year!=""'>, </xsl:if> <xsl:value-of select="bibtex:year"/>
  </li>
</xsl:template>

<xsl:template match="bibtex:misc">
  <!-- Required fields: none
       Optional fields: author, title, howpublished, month, year, note, key 
	   -->
  <li>
  <b><xsl:value-of select="bibtex:author"/></b>:
  <xsl:if test='bibtex:url!=""'><a><xsl:attribute name="href"><xsl:value-of select="bibtex:url"/></xsl:attribute><xsl:value-of select="bibtex:title"/></a></xsl:if>
  <xsl:if test='bibtex:url=""'><xsl:value-of select="bibtex:title"/></xsl:if>
  <xsl:if test='bibtex:year!=""'>, </xsl:if> <xsl:value-of select="bibtex:year"/>
  </li>
</xsl:template>
</xsl:stylesheet>
